Bug 1014987 - Puppet changed default report_serialization
Puppet changed default report_serialization
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 05:24 EDT by Dietmar Kling
Modified: 2015-06-29 08:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:31:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
puppet conf patch (489 bytes, patch)
2013-10-03 05:24 EDT, Dietmar Kling
no flags Details | Diff
puppet-conf-v2.patch (518 bytes, patch)
2013-10-03 05:30 EDT, Dietmar Kling
no flags Details | Diff

  None (edit)
Description Dietmar Kling 2013-10-03 05:24:52 EDT
Created attachment 806956 [details]
puppet conf patch

Description of problem:

Undocumentend change in puppet.conf 

Older versions of puppet (e.g. used in Fedora 19) use a different report_serialization default.
This causes a puppet of Fedora 20 not to work with Fedora 19.

The solutioon is not documented in the manual of puppet.conf and causes a significant amount of research to find out how to fix this.

A lot of people nowadays "try first"  on vmwares before they rollout
a new version. Searching this was not obvious to find for a non-experienced
technical person.



Version-Release number of selected component (if applicable):
puppet-3.3.0-1.fc20.noarch


Please fix it at least by adding a comment into puppet conf like this (also attached als patch)


--- puppet.conf.orig	2013-09-27 11:48:36.657099211 +0200
+++ puppet.conf	2013-10-03 11:20:23.852468400 +0200
@@ -23,3 +23,7 @@
     # extension indicating the cache format is added automatically.
     # The default value is '$confdir/localconfig'.
     localconfig = $vardir/localconfig
+
+    # Older puppet versions (e.g. in Fedora 19) use yam als default for report_serialization
+    # Enable this entry if you work with an older puppet version
+    # report_serialization_format=yaml
Comment 1 Dietmar Kling 2013-10-03 05:30:14 EDT
Created attachment 806957 [details]
puppet-conf-v2.patch

Updated patch. Better explanation.

+
+    # Older puppet server versions (e.g. in Fedora 19) use yaml
+    # as default for report_serialization
+    # Enable this entry if you work with an older puppet server 
+    # version
+    # report_serialization_format=yaml
Comment 2 Dietmar Kling 2013-10-03 05:31:44 EDT
The message needed to be cleared. It is the interaction between newer puppet client and older puppet server.

Updated patch, please see there
Comment 3 Fedora End Of Life 2015-05-29 05:30:25 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:31:54 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.